using System;
using System.Collections.Generic;
using System.Text;
using System.Text.Json.Serialization;

namespace qtcnet_client.Model
{
    public class ClientConfig
    {
        [JsonPropertyName("serverUri")]
        public string ServerBaseUri { get; set; } = "https://api.qtchat.net";
        [JsonPropertyName("startMinimized")]
        public bool StartMinimized { get; set; } = false;
        [JsonPropertyName("minimizeToTray")]
        public bool MinimizeToTray { get; set; } = false;
        [JsonPropertyName("enableDebugLogs")]
        public bool EnableDebugLogs { get; set; } = false;
    }
}
